<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="content">
  <mb-button (click)="showModalBalanced(footerTmpl,'ADD')" mbButtonAvailableStyle="PRIMARY" mbButtonText="Thêm mới"
    *ngIf="objFunction?.create"></mb-button>

</div>

<nz-table #basicTable class="data-table ant-table-content" [nzData]="listBallanceScoreCardManagement" nzSize='small'
 [nzShowPagination]="false"
  nzTableLayout="fixed" [nzScroll]="listBallanceScoreCardManagement?.length > 2 ? { x: '500px' } : {}">
  <thead>
    <tr>
      <th scope="col" nzWidth='4.5em' id='index' nzLeft>STT</th>
      <th id='codeCard'>Mã thẻ điểm</th>
      <th id='nameCard'>Tên thẻ điểm</th>
      <th id='note'>Ghi chú</th>
      <th id='displaySeq'>Thứ tự ưu tiên</th>
      <th scope="col" nzWidth='8.5em'>Trạng thái</th>
      <th scope="col" nzWidth='9em' *ngIf='objFunction?.delete' nzRight class="text-nowrap" nzAlign='center'></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of basicTable.data; let i = index; trackBy: trackFnTable"
      (dblclick)="objFunction?.edit && showModalBalanced(footerTmpl, 'EDIT', data)">
      <td nzLeft>{{i+1}}</td>
      <td>{{data?.lvaValue}}</td>
      <td>{{data?.lvaMean}}</td>
      <td>{{data?.description}}</td>
      <td>{{data?.displaySeq}}</td>
      <td>
        <nz-tag [nzColor]="'red'" *ngIf="data.flagStatus === 0">Không hoạt động</nz-tag>
        <nz-tag [nzColor]="'blue'" *ngIf="data.flagStatus === 1">Hoạt động</nz-tag>
      </td>
      <td nzWidth="1rem" *ngIf='objFunction?.delete' nzRight nzAlign='center'>
        <mb-button-icon mbButtonType='DELETE' (click)="showConfirm(data?.lvaId, $event)"></mb-button-icon>
      </td>
    </tr>
  </tbody>
</nz-table>

<ng-template #footerTmpl>
  <mb-button mbButtonAvailableStyle="PRIMARY" mbButtonText="Lưu"
  (click)="modalRef.getContentComponent().saveBalanceScoreCard()"></mb-button>
  <mb-button mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="Hủy bỏ" (click)="modalRef.destroy()">
  </mb-button>
</ng-template>
